summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/marathon-red-data/README7
-rw-r--r--games/marathon-red-data/marathon-red-data.SlackBuild14
2 files changed, 11 insertions, 10 deletions
diff --git a/games/marathon-red-data/README b/games/marathon-red-data/README
index dd6e12c259..7362875c51 100644
--- a/games/marathon-red-data/README
+++ b/games/marathon-red-data/README
@@ -3,10 +3,13 @@ marathon-red-data (game data for use with alephone package)
Created to be a survival horror-esque conversion, Marathon RED is
widely known as the single most difficult of all conversions.
-Marathon RED features a new arsenal of weapons, new monsters and textures.
+Marathon RED features a new arsenal of weapons, new monsters and
+textures.
Included in the package is a shell script wrapper. Type "marathon-red"
or select Marathon RED from the KDE or XFCE "Games" menu.
To install the gamedata in /opt instead of /usr to save space in the
-root partition use use OPT=yes ./marathon-red-data.SlackBuild
+root partition use use:
+
+ OPT=yes ./marathon-red-data.SlackBuild
diff --git a/games/marathon-red-data/marathon-red-data.SlackBuild b/games/marathon-red-data/marathon-red-data.SlackBuild
index e7913bee73..0e39c9d22a 100644
--- a/games/marathon-red-data/marathon-red-data.SlackBuild
+++ b/games/marathon-red-data/marathon-red-data.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Marathon RED
-# Copyright 2015 Hunter Sezen California, USA
+# Copyright 2015, 2018 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -34,14 +34,13 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e
+set -eu
# install gamedata in opt instead of usr
-OPT=${OPT:-no}
-if [ "${OPT:-yes}" == "yes" ]; then
- DATA="/opt/AlephOne"
+if [ "${OPT:-0}" != 0 ]; then
+ DATA='/opt/AlephOne'
else
- DATA="/usr/share/AlephOne/gamedata"
+ DATA='/usr/share/AlephOne/gamedata'
fi
ZIPNAME=MarathonRED
@@ -50,9 +49,8 @@ WRAPPER=marathon-red
DATADIR=$PKG$DATA
rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $TMP $PKG $OUTPUT $DATADIR
cd $TMP
-mkdir -p $DATADIR
unzip $CWD/$ZIPFILE -d $DATADIR
chown -R root:root $DATADIR